AutoCAD .NET :: Get New ID Entity?

Dec 27, 2013

I am doing a routine to break a polyline in different points.

I do this by prompt with SendCommand.
 
string strHandle1 = id.Handle.ToString(); string strEntName1 = "(handent "" + strHandle1 + "")"; string strCommand = "_BREAK" + "
" + strEntName1 + "
" + String_point + "
" + String_point + "
"; Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.SendStringToExecute(strCommand, true, false, true);
 
However, I need the new Id of polyline to continue break in other point.

I have tried this:

ObjectId idNewEntity = Autodesk.AutoCAD.Internal.Utils.EntLast();

to get the last entity created, but with "break" doesn´t consider new  entity created. Then, How can I get the new Id after "break"?
 
Autocad Civil 3D 2014 +SP1
Quad Core Intel i7 3770-cpu 3.40Ghz.
ssd samsung 840 pro 512gb+ssd samsung 840 pro 256 gb+1tb hdd
32gb RAM 1600 Mhz.
nVidia Quadro 2000.
Win 7 Pro 64bit

View 2 Replies


ADVERTISEMENT

AutoCAD .NET :: If Selected Entity Xdata Contains Value Then Select Additional Entity

May 22, 2013

I would like to add additional entities to the selection if any of the selected entities contains a an xdata value.

If I put the condition into the ImpliedSelectionChanged reactor I imagine will probably loop back on itself.

View 9 Replies View Related

AutoCAD LT :: Updating Proxy Entity - Can Proxy Entity Attributes Be Changed

Feb 27, 2012

want to upated attributes in proxy entity is this possible?

View 1 Replies View Related

AutoCAD Map 3D :: No Entity To Export?

May 2, 2011

I need to export points from 3D map as a .shp file so I can bring them into Maya and have them line up exactly where they need to be based on their coordinates.  The points line up pretty close to right in map 3d, and they have a style assigned to them.  When I go to the Map --> Tools --> Export, I choose .shp as the file output, and go through and select the layer I need to export.  When I've got everything set up, I get an error message saying "no entity to export." I have searched on the internet for this error but not a lot comes up.  I'm not sure what I'm missing in order to make the points export.

View 3 Replies View Related

AutoCAD .NET :: Get Entity Type

Jul 11, 2013

I filtering for objects based on layer as shown below.How do i know which type the entity is like whether it is arc or line or circle..

Dim ss As SelectionSet

Dim idarray As ObjectId() = ss.GetObjectIds()

Dim id AsObjectId

For Each id In idarray

    Dim entity As = trLocal.GetObject(id, OpenMode.ForRead, True)

Next id

View 3 Replies View Related

AutoCAD .NET :: Select Overrule Entity

Jul 23, 2012

I have a question regarding object overrule.

Simple example, when overrule Line entity  to draw three entities Line, Text, Circle when selecting overruled Line is it possible  to identify what object have been selected (in this example it could be Line, Text, Circle).

View 3 Replies View Related

AutoCAD .NET :: Adding Attribute To Entity

May 10, 2012

I'm trying to add an attribute to an entity, however it seems that the AttributeDefinition requires a Point3d and as such appear in my modelspace. I don't want this, i just wanted it to appear as an attribute with a value when i click on my entity, is there any way of making it so that i does not add into modelspace?

BlockTable bt = (BlockTable)trans.GetObject(db.BlockTableId, OpenMode.ForRead);for (int i = 0; i < prSelectionResult.Value.Count; i++){ // Get the entity the user had selectedEntity ent = (Entity)trans.GetObject(prSelectionResult.Value[i].ObjectId, OpenMode.ForWrite);if (ent.GetType() == typeof(BlockReference)) { // Add attribute to layerBlockReference blockRef = (BlockReference)ent;.
[code]...

View 8 Replies View Related

AutoCAD .NET :: Bind MLeader To An Entity

Nov 19, 2013

I have a method DrawMLeaderLine(Database db, Transaction tr, Point3d point, string text) that draws me a MLeader line to the given point with the given text as annotation. The MLeader line points to the midpoint of a Line entity. What I need is a binding between the Line midpoint and the MLeader line, so when I move or resize the Line, the MLeader line should follow! I already tried to solve that, using constraints, but it doesn't work for Leaders.

This is my code...
 
public static MLeader DrawMLeaderLine(Database db, Transaction tr, Point3d point, string text) { Point3d mTextLocation = point + new Vector3d(5, 5, 0); BlockTableRecord btr = tr.GetObject(db.CurrentSpaceId, OpenMode.ForWrite) as BlockTableRecord; MText mText = new MText(); mText.SetDatabaseDefaults(); mText.SetContentsRtf(text); [code]........ 

will be called from a different class...
 
Line line = DrawingUtil.DrawLine(doc.Database, tr, closestPoints.Item1, closestPoints.Item2);  //Get midpoint of line            double midPointX = (line.EndPoint.X + line.StartPoint.X) / 2.0d;            double midPointY = (line.EndPoint.Y + line.StartPoint.Y) / 2.0d;            Point3d midPointOfLine = new Point3d(midPointX, midPointY, 0);  //Draw the leaderline            MLeader leaderLine = DrawingUtil.DrawMLeaderLine(doc.Database, tr, midPointOfLine, "Connection");

View 2 Replies View Related

AutoCAD LT :: Possible To Edit Proxy Entity

Feb 27, 2012

Is it possible to edit acad proxy entity.

View 6 Replies View Related

AutoCAD .NET :: Convert Entity Name To ObjectID?

Jan 3, 2012

I commonly send serialized data to .net functions.

One of the items I send in the entity name of something as a string.

Once my .net function is done, it constructs a resultbuffer to send back to lisp.

I had been doing this:

AcDb.ObjectId id = new ObjectId(Convert.ToInt32(ename));
 
but the Convert function is throwing an exception.

I do not recall this happening before, but forget if I ever tested it.

I am on win 7 64 bit.

View 9 Replies View Related

AutoCAD LT :: Unable To Select More Than One Entity

Jul 8, 2013

For some strange reason i'm suddenly unable to select more than one entity just by clicking with my mouse.

for eg if i select a line and try to select a second one ,the first automatically is deselected.

i'm only able to select multiple entities using the" cross windowing" or 'fulyl windowing' an entity.

this is only a recent occurence  and i suspect i may have inadvertently pressed some key.

View 5 Replies View Related

AutoCad :: Add Attribute To Non-blocked Entity

Mar 6, 2011

Can you add an attribute to a non-blocked entity? Basically, I want to "name" plines.

In case I'm going about this wrong, let me ask the question another way. I'm just getting used to the wonders of attributes & data extraction (I love it!). Right now I have blocks with attributes that I use data extraction to count. I also need some way to calculate length. These blocks represent electrical devices - then I need to calculate the amount of wire used to connect the devices.

So now I use a pline to join the devices, get the length of that polyline, and then manually enter that length into the spreadsheet from the data extraction. But...I'm thinking if I can link an attribute to a pline, then I can include that in the data extraction and automate it. But I don't see how I can use a block for this, since the pline will be completely variable and needs to be "custom-fit" for each circuit.

View 4 Replies View Related

AutoCAD .NET :: How To Check Type Of Entity Selected

Apr 8, 2010

is there any way to check the entity selected by NonInteractivePickPoint? iwant to get the ownerid if the item selected is a 3d or 2d vertex. How is it written in vb.net?

View 3 Replies View Related

AutoCAD Civil 3D :: Contour Lines All One Entity?

Sep 15, 2012

I have a client that just started using C3D 2010.  When I sent him a topographic survey with contour lines (I am also using C3D 2010) he called me and asked if there was a way to select an individual contour line and have it display the elevation in the 'properties' dialog box.  I have not been able to find an answer for him.

View 9 Replies View Related

AutoCAD .NET :: Access Object Of Last Entity Modified?

Jun 29, 2011

Is there a way to access the object of the last entity modified.

If a dynamic block is changed I want to collect the changes.

I'm guessing I use the AcadDocument_EndCommand to kick off the routine but don't know how to identify the modified object.

View 2 Replies View Related

AutoCAD .NET :: Change Color Method Of An Entity?

May 11, 2006

For AutoCAD 2006, I have an entity that I am changing properties of, but I cannot figure out how to set the colormethod to "By Layer." I am sure that I am missing something, but I am at my wit's end.

View 1 Replies View Related

AutoCAD .NET :: Select Entity And Set It On Middle Of Screen?

Aug 27, 2013

is there any entity stutas for selecting?like use mouse select? But do'nt use mouse to select.

View 1 Replies View Related

AutoCAD Inventor :: Single Entity Selection

Sep 15, 2011

I'm borrowing from the samples library in the Inventor:

Public Sub GetSingleSelection()

    ' Get a feature selection from the user
    Dim oObject As Object
    Set oObject = ThisApplication.CommandManager.Pick(kPartFeatureFilter, "Pick a feature")
    MsgBox "Picked: " & oObject.Name

End Sub

Works fine, and is fairly simple, but the problem I'm having is if I press the escape key after starting the command, but before making my selection, I'm not able to start the command again.

I realize from my searching that using the Selection (Simple) sample allows for an interrupt, with some modification, was just wondering if there was something similar for this simpler selection option.

View 3 Replies View Related

AutoCAD .NET :: How To Delete Overlap Entity In Drawing

Dec 2, 2012

How to delete overlap entities in drawing?

Here i attached the dwg file.

View 3 Replies View Related

AutoCAD .NET :: Find Xrecord Of Entity In Drawing

Oct 27, 2011

How do I get the xrecord attached to an entity in a drawing, without key?

View 1 Replies View Related

AutoCAD .NET :: Get Position / Location Of Nested Entity

Apr 16, 2012

I am trying to get either location, insertion point, or center of an entity that is inside of a block. I'm getting subentity using the Editor.GetNestedEntity. I create a FullSubEntityPath for highlighting, that works well, and I have looked at using GetSubEntityGeometricExtents using that same subentitypath, but not having any luck, I can't seem to find any documentation on using that method.

I know I can get the location of the owner, then calculate the location of the entity based off of that, but I'm looking for an easy way now, if that don't work out, I can do the lengthy approach.

View 1 Replies View Related

AutoCAD .NET :: Prompt Line Entity From The User?

Aug 16, 2012

How could I prompt a "two points" line entity from the user?

Something similar to " Editor.GetPoint() " ??

I was trying to use Editor.GetPoint() method two times. But this option does not show the preview of a line.

I also tried a combination of

doc.SendStringToExecute("line ");
db.ObjectAppended += new ObjectEventHandler(LineAppended);

but this option triggers LineAppended event handler as soon as I create the first point of a line. So it does not work.

View 1 Replies View Related

AutoCAD .NET :: Get Object ID Of Newly Created Entity

Dec 5, 2012

How can I get the object id of the just created entity.

acTrans.AddNewlyCreatedDBObject(acPoint, true); acTrans.Commit();

Selected the point on the dwg with PromptPointResult result value and added it.

Then I want the objectid of this acPoint, to do my next operation.

View 4 Replies View Related

AutoCAD Architecture :: Snap To AEC Proxy Entity?

Jul 10, 2012

I have ACA2011. I received a Topo from someone an it's grade lines are Proxy Entities. I need to snap to one and can't. Is there a way to snap to these? I just want to move the topo to the right Z height, but need to snap to at least one grade line to do so.

View 1 Replies View Related

AutoCAD .NET :: Change Entity Color / Linetype

Dec 23, 2008

I am using ACADE 2008 and VB.NET. I have a multitude of drawings that I am doing the same three and four operations on and would like to write VB.NET program to do it. I can get my selections set just fine, but my first problem is figuring out how to change all drawing entities color and linetype to "ByLayer". So far I have not gotten past changing just the color value. I have tried multiple variations on the following line without success:

myAcadEnt.Color = Colors.Color.FromDictionaryName("ByLayer")

View 6 Replies View Related

AutoCad :: Continuous Entity Either Spline Or Polyline

Jan 2, 2009

I have three contiguous splines. I'd like to make them one continuous entity, either spline or polyline. How do I do?

I've gone to Modify/Object/Spline and to Modify/Object/Polyline and neither seem to work.

View 5 Replies View Related

AutoCad :: RTEXT Displays As Proxy Entity?

May 29, 2012

Our office has upgraded to new Windows 7 computers with AutoCAD 2013.

For the last (3) years, we have had an RTEXT in our titleblock file that shows the path, file name, date, and time. This RTEXT thingy was originally copied from a consultants file to ours. The titleblock file is x-reffed to the other sheet files, and has been working fine in all files until the upgrade.

Now, when we open a file, the only thing that is shown for the RTEXT is the bounding box. This happens on all of our computers. The express tools are installed. If I type RTEXT > [enter], it displays correctly and will work fine ... until the CAD is shut down. If it is re-opened, once again, just the bounding box.

Typing the command every time I open the file is a nuisance for me, and is something that others in the office would never get used to doing.

View 9 Replies View Related

AutoCAD Inventor :: How To Select Entity From Global X Y Z Position

Dec 21, 2013

I am new to Inventor API, but have some experiences in SolidWorks API. 

How can I select an entity at a given spacial point (x, y, z)? For example, I want to select a face or edge that is on a given (x, y, z) point. I can not find such an API, except for interactive selections.

View 3 Replies View Related

AutoCAD Dynamic Blocks :: Constrain A Dimension To Entity

Jul 20, 2011

Is it possible to constrain a dimension to an entity?

Outside the block editor you can display a constrained dimension with a dimension style but it doesn't appear as you can do the same inside blocks.

 I want show the dimension of a line in a block that is constrained by a dimensional constraint but I can't figure out how to constrain the dimension extents to anything.

I could put in an attribute but it doesn't look like you can constrain attributes either.  And then I would need to work out how to pass the value into it.

View 2 Replies View Related

AutoCAD Inventor :: 2013 Offset Sketch Entity

Oct 24, 2012

In 2013 SP1.1 we are noticing that when using offset in a sketch, the offset line/curve is invisible and cant be seen until a zoom is done, then it appears. 

View 1 Replies View Related

AutoCAD .NET :: Select Entity With In Line Closed AND Not Using Editor?

Jan 1, 2014

I want to load file with database.ReadDwgFile

i dont want use editor (i don't want use CommandFlags.Session)

after the load in the database (see my code for xdb), i want to select all bloc within a closed line entity (within the xdb)

but how to do that whitout editor (editor..SelectWindowPolygon )

here my code for load each file , and mémorize all block for each file
 
Dim CollDocOuvert As New Collection For Each NomFichier In Fenetre.CollFichier 'recherche et extraction des blocs Dim Fichier As New IO.FileInfo(NomFichier) If Fichier.Exists = True Then GestionAUTOCAD.TxtOnLigneCOmmande("Gestion du

[Code]....

StatusLabelBar is a component of my form for write msg. is use me.refresh and a timer (1s) for refresh my form. (a trick i have found for do this [if you have better trick i take it.])

View 9 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved